Subject: bug#57555: 29.0.50; variable-pitch font issue with medium weight default font

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Sep 2022 16:01:09 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 07 Sep 2022 14:44:01 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> So we've come full circle.
> >
> > No, we haven't.
> 
> In what way isn't that "full circle"?

In the way I explained below:

> > Emacs works as expected: it requests a medium-weight
> > font for the variable-pitch face, because the fixed-pitch face was
> > customized to use a medium weight.  Since the font Amin wants to use
> > for variable-pitch doesn't have a medium variant, Emacs selects
> > another one.  There's no real problem I see here, except an issue with
> > user expectations not being satisfied.
> 
> I think that the vast majority of users would want Emacs to choose a
> different weight, but use the same font, which is what we had before we
> went full circle.

So maybe we should consider resetting just the weight attribute,
perhaps only if its value is 'medium' (assuming that solves this
particular issue).  That's a far cry from resetting all of them.